﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample_2013
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            fontfamily.DropDownClosed += fontfamily_DropDownClosed;
            fontsize.DropDownClosed += fontsize_DropDownClosed;
        }
        void fontsize_DropDownClosed(object sender, EventArgs e)
        {
            if (rte != null && fontsize.SelectedItem!=null)
            {
                rte.Selection.ChangeFontSize((double)fontsize.SelectedItem);
                rte.FontSize = (double)fontsize.SelectedItem;
                rte.FontFamily = (FontFamily)fontfamily.SelectedItem;
            }
        }
        void fontfamily_DropDownClosed(object sender, EventArgs e)
        {
            if (rte != null && fontfamily.SelectedItem != null)
            {
                rte.Selection.ChangeFontFamily((FontFamily)fontfamily.SelectedItem);
                rte.FontFamily = (FontFamily)fontfamily.SelectedItem;
                rte.FontSize = (double)fontsize.SelectedItem;
            }
        }
        public double[] FontSizeSource
        {
            get
            {
                return (double[])GetValue(FontSizeSourceProperty);
            }
            set
            {
                SetValue(FontSizeSourceProperty, value);
            }
        }
        // Using a DependencyProperty as the backing store for FontSize. 
        public static readonly DependencyProperty FontSizeSourceProperty = DependencyProperty.Register("FontSizeSource", typeof(double[]), typeof(MainWindow),
            new PropertyMetadata(new double[] { 8, 9, 10, 11, 12, 14, 16, 18, 20, 24, 26, 28, 36, 48, 72 }));

        
    }
}
